// Link Dialog

.app.koboldworks.koboldworks-companion-link {
	form {
		display: grid;
		grid-template-columns: 64px 6em 1fr 2rem;
		grid-auto-rows: min-content;
		gap: 2px;

		.col-span-2 {
			@include colSpan(2);
		}

		.col-span-4 {
			@include colSpan(4);
		}

		.row-span-2 {
			@include rowSpan(2);
		}

		input,
		label,
		.companion-unlink {
			align-self: center;
		}
	}

	code {
		font-weight: bold;
		color: darkblue;
	}

	h3 {
		font-weight: bold;
		border-bottom: 2px solid maroon;
		margin: 0;
		padding: 0;
	}

	img {
		width: 64px;
		height: 64px;
	}

	.companion-link-id {
		font-family: monospace;
	}

	.companion-unlink {
		font-size: 2em;
		width: 24px;

		cursor: pointer;

		&:hover {
			text-shadow: 0 0 5px red;
		}
	}

	.companion-link-familiar {
		display: flex;
		flex-wrap: wrap;

		label {
			flex: 1;
		}

		input {
			flex: 0 1rem;
		}

		.hint {
			flex: 1 100%;
			padding: 0;
			margin: 0;
			text-indent: 1.8rem;
		}
	}
}
